(define-module (alterator type spamassassin-score)
    :use-module (alterator woo)
    :export (type))

(define (valid-range? v)
  (and (integer? v) (>= v 0)))

(define (type v _)
  (or (and (string? v) (valid-range? (string->number v)))
      (and (integer? v) (valid-range? v))
      (type-error (_ "should be number" "alterator-spamassassin"))))

